> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List Threads

GET https://communications/threads

List threads scoped to the tenant (and optionally location from pb-ectlid).

Reference: https://docs.itspropel.com/propel-biz/29-communications/threads/list-threads

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /communications/threads:
    get:
      operationId: list-threads
      summary: List Threads
      description: >-
        List threads scoped to the tenant (and optionally location from
        pb-ectlid).
      tags:
        - subpackage_29Communications.subpackage_29Communications/threads
      parameters:
        - name: channel
          in: query
          description: 'Optional: Filter by channel - sms|voice|email|in_app_chat|push'
          required: false
          schema:
            type: string
        - name: visibility
          in: query
          description: 'Optional: Filter by visibility - customer_facing|internal_only'
          required: false
          schema:
            type: string
        - name: open
          in: query
          description: 'Optional: Only threads that are not closed - true|false'
          required: false
          schema:
            type: boolean
        - name: per_page
          in: query
          description: 'Optional: Results per page - default 25, max 100'
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: 'Optional: Page number'
          required: false
          schema:
            type: integer
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/29 Communications_Threads_List
                  Threads_Response_200
servers:
  - url: https:/
components:
  schemas:
    29 Communications_Threads_List Threads_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 29 Communications_Threads_List Threads_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/communications/threads"

querystring = {"channel":"email","visibility":"customer_facing","open":"true","per_page":"25","page":"1"}

payload = { "{{tenant_key_value1}}": "tenant_12345|location_67890" }
headers = {
    "{{tenant_key_name}}": "X-Tenant-ID",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1';
const options = {
  method: 'GET',
  headers: {'{{tenant_key_name}}': 'X-Tenant-ID', 'Content-Type': 'application/json'},
  body: '{"{{tenant_key_value1}}":"tenant_12345|location_67890"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1"

	payload := strings.NewReader("{\n  \"{{tenant_key_value1}}\": \"tenant_12345|location_67890\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "X-Tenant-ID")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = 'X-Tenant-ID'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"{{tenant_key_value1}}\": \"tenant_12345|location_67890\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1")
  .header("{{tenant_key_name}}", "X-Tenant-ID")
  .header("Content-Type", "application/json")
  .body("{\n  \"{{tenant_key_value1}}\": \"tenant_12345|location_67890\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1', [
  'body' => '{
  "{{tenant_key_value1}}": "tenant_12345|location_67890"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => 'X-Tenant-ID',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "X-Tenant-ID");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"{{tenant_key_value1}}\": \"tenant_12345|location_67890\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "X-Tenant-ID",
  "Content-Type": "application/json"
]
let parameters = ["{{tenant_key_value1}}": "tenant_12345|location_67890"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/communications/threads?channel=email&visibility=customer_facing&open=true&per_page=25&page=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```